Bug 1759186 - Include GNOME 3.34.1 in Fedora 31 Final
Summary: Include GNOME 3.34.1 in Fedora 31 Final
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: distribution
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Josh Boyer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: F31FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2019-10-07 14:50 UTC by Kalev Lember
Modified: 2019-10-10 18:26 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-10 18:26:58 UTC


Attachments (Terms of Use)

Description Kalev Lember 2019-10-07 14:50:16 UTC
This is a bureaucracy bug: I'm filing it to propose the upcoming GNOME 3.34.1 megaupdate for a Fedora 31 final freeze exception.

Fedora 31 Final Freeze starts tonight, and we have GNOME 3.34.1 release this week. It would be great to get the final 3.34.1 onto release media so that we can get the bug fixes that resulted from F31 Beta testing into the final release, and also ensure that 3.34.1 goes through the final validation testing, helping make sure it doesn't regress anything.

Comment 1 Geoffrey Marr 2019-10-08 06:23:15 UTC
Discussed during the 2019-10-07 blocker review meeting: [0]

The decision to classify this bug as an "AcceptedFreezeException" was made as we agree it makes sense to pull this in early in freeze as it is a bug fix release and addresses many bugs that were encountered and reported in Fedora 31 Beta testing.

[0] https://meetbot.fedoraproject.org/fedora-blocker-review/2019-10-07/f31-blocker-review.2019-10-07-16.02.txt

Comment 2 Fedora Update System 2019-10-09 08:34:44 UTC
FEDORA-2019-8f20f9e4e3 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-8f20f9e4e3

Comment 3 Fedora Update System 2019-10-09 23:05:24 UTC
accerciser-3.34.1-1.fc31, almanah-0.12.0-1.fc31, at-spi2-atk-2.34.1-1.fc31, eog-3.34.1-1.fc31, epiphany-3.34.1-1.fc31, evince-3.34.1-1.fc31, evolution-3.34.1-1.fc31, evolution-data-server-3.34.1-1.fc31, evolution-ews-3.34.1-1.fc31, evolution-mapi-3.34.1-1.fc31, four-in-a-row-3.34.1-1.fc31, gdk-pixbuf2-2.40.0-1.fc31, gdm-3.34.1-1.fc31, geary-3.34.1-2.fc31, gjs-1.58.1-1.fc31, glib-networking-2.62.1-1.fc31, glib2-2.62.1-1.fc31, gnome-2048-3.34.1-1.fc31, gnome-boxes-3.34.1-1.fc31, gnome-builder-3.34.1-1.fc31, gnome-calculator-3.34.1-1.fc31, gnome-calendar-3.34.1-1.fc31, gnome-control-center-3.34.1-3.fc31, gnome-desktop3-3.34.1-1.fc31, gnome-initial-setup-3.34.1-1.fc31, gnome-maps-3.34.1-1.fc31, gnome-session-3.34.1-2.fc31, gnome-shell-3.34.1-1.fc31, gnome-shell-extensions-3.34.1-1.fc31, gnome-software-3.34.1-1.fc31, gnome-taquin-3.34.1-1.fc31, gnome-terminal-3.34.1-1.fc31, gnome-tetravex-3.34.1-1.fc31, gpaste-3.34.1-1.fc31, gtk3-3.24.12-1.fc31, gvfs-1.42.1-1.fc31, iagno-3.34.1-1.fc31, libdazzle-3.34.1-1.fc31, libgweather-3.34.0-1.fc31, librsvg2-2.46.1-1.fc31, libsoup-2.68.2-1.fc31, mutter-3.34.1-1.fc31, nautilus-3.34.1-1.fc31, quadrapassel-3.34.1-1.fc31, simple-scan-3.34.1-1.fc31, sysprof-3.34.1-1.fc31, totem-3.34.1-1.fc31, vala-0.46.3-1.fc31, vte291-0.58.1-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-8f20f9e4e3

Comment 4 Kalev Lember 2019-10-10 12:17:43 UTC
Would be great to push this to stable today, if possible. We have other updates appearing (gnome-boxes, gnome-software, gnome-session) for packages that are also in the megaupdate so it would be great to move this to stable to avoid ordering issues with pushes.

Also, once this is stable we can rebuild appstream-data, which is a release blocker.

Comment 5 Fedora Update System 2019-10-10 18:26:58 UTC
accerciser-3.34.1-1.fc31, almanah-0.12.0-1.fc31, at-spi2-atk-2.34.1-1.fc31, eog-3.34.1-1.fc31, epiphany-3.34.1-1.fc31, evince-3.34.1-1.fc31, evolution-3.34.1-1.fc31, evolution-data-server-3.34.1-1.fc31, evolution-ews-3.34.1-1.fc31, evolution-mapi-3.34.1-1.fc31, four-in-a-row-3.34.1-1.fc31, gdk-pixbuf2-2.40.0-1.fc31, gdm-3.34.1-1.fc31, geary-3.34.1-2.fc31, gjs-1.58.1-1.fc31, glib-networking-2.62.1-1.fc31, glib2-2.62.1-1.fc31, gnome-2048-3.34.1-1.fc31, gnome-boxes-3.34.1-1.fc31, gnome-builder-3.34.1-1.fc31, gnome-calculator-3.34.1-1.fc31, gnome-calendar-3.34.1-1.fc31, gnome-control-center-3.34.1-3.fc31, gnome-desktop3-3.34.1-1.fc31, gnome-initial-setup-3.34.1-1.fc31, gnome-maps-3.34.1-1.fc31, gnome-session-3.34.1-2.fc31, gnome-shell-3.34.1-1.fc31, gnome-shell-extensions-3.34.1-1.fc31, gnome-software-3.34.1-1.fc31, gnome-taquin-3.34.1-1.fc31, gnome-terminal-3.34.1-1.fc31, gnome-tetravex-3.34.1-1.fc31, gpaste-3.34.1-1.fc31, gtk3-3.24.12-1.fc31, gvfs-1.42.1-1.fc31, iagno-3.34.1-1.fc31, libdazzle-3.34.1-1.fc31, libgweather-3.34.0-1.fc31, librsvg2-2.46.1-1.fc31, libsoup-2.68.2-1.fc31, mutter-3.34.1-1.fc31, nautilus-3.34.1-1.fc31, quadrapassel-3.34.1-1.fc31, simple-scan-3.34.1-1.fc31, sysprof-3.34.1-1.fc31, totem-3.34.1-1.fc31, vala-0.46.3-1.fc31, vte291-0.58.1-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.